io.swagger.client.model

## Class WorkflowState

- java.lang.Object
- - io.swagger.client.model.WorkflowState

-     public class WorkflowState
      extends Object

  WorkflowState

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorkflowState` | `addWorkflowStateTransitionsItem(WorkflowStateTransition workflowStateTransitionsItem)`
    `WorkflowState` | `description(String description)`
    `WorkflowState` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `String` | `getDescription()` Get description
    `String` | `getDisplayName()` Get displayName
    `Integer` | `getId()` Get id
    `String` | `getName()` Get name
    `Integer` | `getPercentComplete()` Get percentComplete
    `String` | `getStyle()` Get style
    `Integer` | `getValue()` Get value
    `List<WorkflowStateTransition>` | `getWorkflowStateTransitions()` Get workflowStateTransitions
    `int` | `hashCode()`
    `WorkflowState` | `id(Integer id)`
    `WorkflowState` | `name(String name)`
    `WorkflowState` | `percentComplete(Integer percentComplete)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setId(Integer id)`
    `void` | `setName(String name)`
    `void` | `setPercentComplete(Integer percentComplete)`
    `void` | `setStyle(String style)`
    `void` | `setValue(Integer value)`
    `void` | `setWorkflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)`
    `WorkflowState` | `style(String style)`
    `String` | `toString()`
    `WorkflowState` | `value(Integer value)`
    `WorkflowState` | `workflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowState

          public WorkflowState()

  - ### Method Detail

    - #### id

          public WorkflowState id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### name

          public WorkflowState name(String name)

    - #### getName

          public String getName()

      Get name
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### description

          public WorkflowState description(String description)

    - #### getDescription

          public String getDescription()

      Get description
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### displayName

          public WorkflowState displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### percentComplete

          public WorkflowState percentComplete(Integer percentComplete)

    - #### getPercentComplete

          public Integer getPercentComplete()

      Get percentComplete
      Returns:
        percentComplete

    - #### setPercentComplete

          public void setPercentComplete(Integer percentComplete)

    - #### value

          public WorkflowState value(Integer value)

    - #### getValue

          public Integer getValue()

      Get value
      Returns:
        value

    - #### setValue

          public void setValue(Integer value)

    - #### style

          public WorkflowState style(String style)

    - #### getStyle

          public String getStyle()

      Get style
      Returns:
        style

    - #### setStyle

          public void setStyle(String style)

    - #### workflowStateTransitions

          public WorkflowState workflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)

    - #### addWorkflowStateTransitionsItem

          public WorkflowState addWorkflowStateTransitionsItem(WorkflowStateTransition workflowStateTransitionsItem)

    - #### getWorkflowStateTransitions

          public List<WorkflowStateTransition> getWorkflowStateTransitions()

      Get workflowStateTransitions
      Returns:
        workflowStateTransitions

    - #### setWorkflowStateTransitions

          public void setWorkflowStateTransitions(List<WorkflowStateTransition> workflowStateTransitions)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.